@sidebar-width: 150px;

.home-sidebar {
    float: right;
    width: @sidebar-width;
    left: 10px;
    position: fixed;
}
.home-main {
    float: right;
    margin-left: -(@sidebar-width + 10);
}
.home-content {
    margin-left: (@sidebar-width + 10);
}

.characters-table {
    table-layout: fixed;
    width: auto;
    background: #222;
    border: 1px solid @table-border-color;

    tbody > tr:first-child > td {
        border-width: 0;
        padding: 0;
    }

    thead > tr > th {
        text-align: center;
    }
    tbody > tr > td {
        padding: 3px 4px;

        > div:not(.popover), img {
            box-sizing: content-box;
            border-width: 1px;
            border-style: solid;
            border-radius: 2px;
        }
    }

    .totals-row {
        td {
            background: #0a3452;
            font-weight: bold;

            &:first-child {
                text-align: right;
                text-transform: uppercase;
            }
        }
    }

    .realm-row {
        td {
            &:first-child {
                .ellipsis-mixin();
                max-width: 15em;
            }
        }

        .characters-honor {
            text-align: center;
        }
    }
}

.characters-name {
    width: 8em;
    .ellipsis-mixin();
}
.character-tag {
    float: right;
    padding: 2px 2px 0;
    margin: 0 -3px 0 0;
    border-bottom: none !important;
    border-radius: 2px;
    line-height: 1;
    font-family: "Lucida Console", "Lucida Sans Typewriter", monaco, "Bitstream Vera Sans Mono", monospace;
    font-size: 90%;
    font-variant: small-caps;
    text-decoration: none !important;
    background: #444;
}
.characters-realm {
    width: 9em;
    padding-right: 6px !important;
    .ellipsis-mixin();
}
.characters-level {
    width: 3.3em;
    text-align: right;
}
.characters-rested {
    width: 3.9em;
}
.characters-race {
    width: 6em;
}
.characters-icon {
    width: 24px;
    padding-right: 0px !important;

    img {
        margin-top: -2px;
    }
}
.characters-spacer {
    width: 8px;
}
.characters-class-text {
    width: 6.7em;
}
.characters-azerite {
    width: 2.8em;
    text-align: right;
    cursor: default;
}
.characters-profession {
    width: 2.7em;
    padding-right: 8px !important;
    text-align: right !important;
    cursor: default;
}
.characters-keystone {
    width: 4.2em;
}
.characters-keystone-max {
    width: 1.5em;
    padding-left: 0 !important;
    text-align: right;
    cursor: default;
}
.characters-artifact {
    width: 5.7em;
    padding-left: 0 !important;
    text-align: right;

    > a:last-child {
        float: right;
        padding-right: 4px;
        width: 2.2em;
    }
}
.characters-played {
    width: 5.3em;
    text-align: right !important;
    white-space: nowrap;
}
.characters-gold {
    width: 6em;
    text-align: right !important;
}
.characters-ail {
    width: 3.7em;
    padding-right: 8px !important;
    text-align: right !important;
}
.characters-currency {
    max-width: 5em;

    td& {
        text-align: right;
        padding-left: 6px !important;
        cursor: default;

        div {
            display: inline-block;
            margin-bottom: -5px;
        }
    }
}
.characters-lockout {
    max-width: 3em;
    text-align: center;

    .icon-star {
        color: @lockout-complete;
    }
    .icon-star-half {
        color: @lockout-incomplete;
    }
    .icon-cancel {
        color: @lockout-none;
    }
}
.characters-cache {
    width: 2.7em;
    text-align: right;
    padding-left: 0 !important;
    padding-right: 8px !important;

    span {
        border-bottom: 1px dotted #eee;
    }
}
.characters-wq {
    width: 2em;
    text-align: center;

    .icon-ok {
        color: @lockout-complete;
    }
    .icon-cancel {
        color: @lockout-none;
    }
    .icon-star-half {
        color: @lockout-incomplete;
    }
    b {
        color: @lockout-incomplete;
        cursor: default;
    }

    .icon-split {
        border: none !important;

        img:first-child {
            clip-path: polygon(0 0, 0% 100%, 100% 0);
        }
        img:last-child {
            clip-path: polygon(100% 100%, 0% 100%, 100% 0);
            margin-left: -17px;
        }
    }
}
.characters-honor {
    width: 4em;
    text-align: right;

    span {
        text-align: right;
        display: inline-block;
        cursor: default;

        &:nth-child(2) {
            padding: 0 4px;
        }

        &:last-child {
            width: 1.2em;
        }
    }
}

.realm-row {
    td {
        padding-top: 10px !important;
        font-weight: bold;
    }
}

#magic-chart {
    height: 580px;
    border: 1px solid @table-border-color;
}
#chart-interval,
#chart-period {
    width: 120px;
    display: inline-block;
}
.chart-tooltip-table {
    tr > td {
        padding: 2px;
        color: #ddd;
    }

    tr > td:nth-child(2) {
        padding-left: 10px;
        text-align: right;
    }
    thead > tr > td {
        border-bottom: 1px solid #444;
    }
    tfoot > tr > td {
        border-top: 1px solid #444;
        font-weight: bold;
    }
}

.upgrade-none {
    color: #FDB329 !important;
}
.upgrade-some {
    color: #F7FD00 !important;
}
.upgrade-all {
    color: #18FF57 !important;
}
.artifact-tier2 {
    color: #008FBF !important;
}
.artifact-prestige {
    color: #00BFDF !important;
}
.artifact-done {
    color: #00FFDF !important;
}
.artifact-crucible {
    color: #FF7F00 !important;
}

.home-table {
    tbody > tr > td {
        padding: 3px 4px;
    }

    .realm-row {
        td {
            vertical-align: middle;
            font-weight: bold;
        }
    }

    div:not(.no-border), img:not(.no-border) {
        box-sizing: content-box;
        border-width: 1px;
        border-style: solid;
        border-radius: 2px;
    }

    .home-class {
        width: 20px;
        padding: 0;
        vertical-align: middle;
    }
    .home-name {
        min-width: 8em;
        width: 8em;
        vertical-align: middle !important;
    }
}

.profession-popover {
    td {
        white-space: nowrap;
    }
    td:last-child {
        text-align: right;

        span {
            display: inline-block;
            width: 1.8em;

            &:first-child {
                margin: 0 .3em;
            }
            &:last-child {
                margin-left: .3em;
            }
        }
    }
}
